public with sharing class VF_OctopushSettings_CTRL {

    public Octopush_Settings__c os {get; set;}
    
    public VF_OctopushSettings_CTRL() {     
        os = Utils_Octopush.getOctopushSettings();
        if(os == null) os = new Octopush_Settings__c(Name='OctopushSettings', SMS_Purpose__c='Marketing');
    }
    public pagereference save() {
        try {         
            upsert os;
            ApexPages.addMessage(new ApexPages.Message(ApexPages.severity.CONFIRM, Label.CONFIRM_SAVE_SUCCESSFUL));
        } catch(Exception e) {}
        return null;    
    }
    
    public List<SelectOption> getItems() {
        List<SelectOption> options = new List<SelectOption>(); 
        options.add(new SelectOption('Marketing','Marketing SMS')); 
        options.add(new SelectOption('Transactional','Transactional SMS')); return options;         
    }
}