/*
    Testing class for VF_WorkflowSetting_CTRL page
*/
@isTest
public class VF_WorkflowSetting_CTRL_TEST {

	public static testMethod void T1_Load_Existing_Settings() {
		Octopush_UtilsTesting.initTestingContext_SMSTemplate();
		
        Test.startTest();
           	PageReference pageRef = Page.VF_WorkflowSetting;
           	pageRef.getParameters().put('retURL', '/home/home.jsp');
			Test.setCurrentPage(pageRef);
            VF_WorkflowSetting_CTRL ctrl = new VF_WorkflowSetting_CTRL();
            ctrl.getItems();
            ctrl.getObjectOptions();
            ctrl.getFieldsOptions();
            system.assertEquals(ctrl.objectRelatedTo, 'Contact');
            ctrl.changeObjectRelatedTo();
            
            ctrl.message = 'test';
            ctrl.aSMS.SMS_Template__c = Octopush_UtilsTesting.templates_All[0].id;
            ctrl.fillTemplateContent();
            
            ctrl.generateTask();
            system.assert(Octopush_UtilsTesting.messageContainsValue(Label.CONFIRM_TASK_GENERATED_1));
            system.assert(ctrl.taskComment.contains('OBJ='+ctrl.objectRelatedTo));
            system.assert(ctrl.taskComment.contains('MSG='+ctrl.message));
            ctrl.cancel();
        Test.stopTest();
    }
}